--- title: "Get server generation" slug: "cdss-getservergenerationlist" updated: 2026-09-17T09:51:28Z published: 2026-09-17T09:51:28Z canonical: "api.ncloud-docs.com/cdss-getservergenerationlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get server generation Available in VPC Get available hypervisor types and server generations. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET, POST | /api/v1/cluster/getServerGenerationList (Korea Region) | | GET, POST | /api/sgn-v1/cluster/getServerGenerationList (Singapore Region) | | GET, POST | /api/jpn-v1/cluster/getServerGenerationList (Japan Region) | ### Request headers For information about the headers common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service request headers](/docs/en/analytics-clouddatastreamingservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request example The request example is as follows: ``` curl --location --request GET 'https://clouddatastreamingservice.apigw.ntruss.com/api/v1/cluster/getServerGenerationList' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.serverGenerationList` | Array | - | Server generation list: [serverGenerationList](/docs/en/cdss-getservergenerationlist#serverGenerationList) | | `requestId` | String | - | ID for the request - UUID format | #### `serverGenerationList` The following describes `serverGenerationList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `hypervisorCode` | String | - | Hypervisor code | | `generationCode` | String | - | Server generation code | ### Response status codes For information about the HTTP status codes common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service response status codes](/docs/en/analytics-clouddatastreamingservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "serverGenerationList": [ { "hypervisorCode": "XEN", "generationCode": "G2" }, { "hypervisorCode": "KVM", "generationCode": "G3" } ] }, "requestId": "2dea6ae1-****-****-****-cb3ca0fce644" } ```